ApiUpdateGlobalTruststoreArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiUpdateGlobalTruststoreArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiUpdateGlobalTruststoreArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiUpdateGlobalTruststoreArguments
      extends Object

  Arguments to update certificates from the Auto-TLS truststore

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiUpdateGlobalTruststoreArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getNewCertContent()` The content of the new certificate to be added to the Auto-TLS truststore.
    `String` | `getNewCertLocation()` The location of the new certificate on the disk to be added to the Auto-TLS truststore.
    `int` | `hashCode()`
    `ApiUpdateGlobalTruststoreArguments` | `newCertContent(String newCertContent)`
    `ApiUpdateGlobalTruststoreArguments` | `newCertLocation(String newCertLocation)`
    `void` | `setNewCertContent(String newCertContent)`
    `void` | `setNewCertLocation(String newCertLocation)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiUpdateGlobalTruststoreArguments

          public ApiUpdateGlobalTruststoreArguments()

  - ### Method Detail

    - #### newCertLocation

          public ApiUpdateGlobalTruststoreArguments newCertLocation(String newCertLocation)

    - #### getNewCertLocation

          public String getNewCertLocation()

      The location of the new certificate on the disk to be added to the Auto-TLS truststore. PEM format is required. Specify either this or a NewCertContent.
      Returns:
        newCertLocation

    - #### setNewCertLocation

          public void setNewCertLocation(String newCertLocation)

    - #### newCertContent

          public ApiUpdateGlobalTruststoreArguments newCertContent(String newCertContent)

    - #### getNewCertContent

          public String getNewCertContent()

      The content of the new certificate to be added to the Auto-TLS truststore. Specify either this or a NewCertLocation. <br> The certificate, if specified, needs to be a standard PEM-encoded key as a single string, with all line breaks replaced with the line-feed control character '\\n'. <br> A value will typically look like the following string: <br> -----BEGIN CERTIFICATE-----\\n[base-64 encoded key]\\n-----END CERTIFICATE----- <br>
      Returns:
        newCertContent

    - #### setNewCertContent

          public void setNewCertContent(String newCertContent)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.